FROM ruby:2.5

ARG BUNDLER_VERSION
ENV BUNDLER_VERSION ${BUNDLER_VERSION:-2.0.1}
RUN gem install bundler -v $BUNDLER_VERSION

ARG BUNDLER_AUDIT_VERSION
ENV BUNDLER_AUDIT_VERSION ${BUNDLER_AUDIT_VERSION:-0.6.1}
RUN gem install bundler-audit -v $BUNDLER_AUDIT_VERSION

COPY analyzer /
ENTRYPOINT []
CMD ["/analyzer", "run"]
